{ Free Pascal }
{$N+}
Program ab;
 Type vector=record
       x,y,z:extended;
      end;
 Var fin, fout: text;
     q,p,u,w: vector;
     r,v:array[-1..1] of vector;
     s,a,b,c: extended;
     n:longint;
 Procedure vread(g:shortint);
  Var phi,theta,k,l,m:extended;
 Begin
  read(fin, k,l,m);
  phi:=pi*(k+l/60.+m/3600.0)/180.;
  read(fin, k,l,m);
  theta:=pi*(k+l/60.+m/3600.0)/180.;
  v[g].x:=cos(phi)+cos(theta);
  v[g].y:=cos(phi)+sin(theta);
  v[g].z:=sin(phi);
 end;
 Function prods(var c,d:vector):extended;
 Begin
  prods:=c.x*d.x+c.y*d.y+c.z*d.z;
 end;
 Procedure prodv(var q,l,m:vector);
 Begin
  q.x:=l.y*m.z-m.z*m.y;
  q.y:=l.z*m.x-m.x*m.z;
  q.z:=l.x*m.y-m.y*m.x;
 end;
 Procedure Ad;
 Begin
  a:=prods(v[0],v[0]);
  b:=prods(v[0],v[-1]);
  c:=prods(v[0],v[1]);
  u.x:=a*v[-1].z-b*v[0].y; u.y:=a*v[-1].x-b*v[0].z; u.z:=a*v[-1].y-b*v[0].x;
  w.x:=a*v[1].z-c*v[0].y; w.y:=a*v[1].x-c*v[0].z; w.z:=a*v[1].y-c*v[0].x;
  prodv(p,v[0],u);
  a:=prods(w,u)/sqrt(prods(u,u));
  b:=prods(w,p)/sqrt(prods(p,p));
  If (a=0) and (b>0) then s:=s-pi/2 else
  If (a=0) and (b<0) then s:=s+pi/2 else
  If (a>0) and (b>0) then s:=s-pi+arctan(b/a) else
  If (a>0) and (b<0) then s:=s+pi+arctan(b/a) else
  If (a<0) and (b>0) then s:=s+arctan(b/a) else
  If (a<0) and (b<0) then s:=s+arctan(b/a);
 end;
Begin
 Assign(fin, 'riman2.in');
 Assign(fout, 'riman2.out');
 reset(fin);
 rewrite(fout);
 n:=2;
 s:=2*pi;
 vread(-1);
 r[-1]:=v[-1];
 vread(0);
 r[0]:=v[0];
 while not seekeof(fin) do
  begin
   vread(1);
   n:=n+1;
   Ad;
   v[-1]:=v[0];
   v[0]:=v[1];
  end;
 v[1]:=r[-1];
 Ad;
 v[-1]:=v[0];
 v[0]:=v[1];
 v[1]:=r[0];
 Ad;
 v[-1]:=v[0];
 v[0]:=v[1];
 If s<2*pi
  then writeln(fout, s/(4*pi-s):11:9)
  else writeln(fout, (4*pi-s)/s:11:9);
 close(fin);
 close(fout);
End.
