/* GCC */
#include <iostream>
#include <fstream>
#include <math.h>

using namespace std;

int n, size[16][2], poss[15][4], ans[15][4];
bool an = false;

int testplace(int x, int y, int pos[][4])
{
     bool gr = (y + 1 > size[n][1])||(x + 1 > size[n][0]);
     if (gr) return -1;
     for (int i = 0; i < n; i++)
     {
         bool intox = (x < pos[i][0]) && (x + 1 > pos[i][0] + size[i][0]);
         bool perx = ((pos[i][0] + size[i][0] > x)&&(x > pos[i][0])) || ((x + 1 < pos[i][0] + size[i][0])&&(x + 1 > pos[i][0]));
         bool nakx = (x == pos[i][0]) ||(x + 1 == pos[i][0] + size[i][0]);
     
         if (intox || perx || nakx) return i;
     }
     return 9;
}

bool canplace(int pos[][4], int cur, int x, int y, bool rotate)
{
     
     bool gr = (y + size[cur][1] > size[n][1])||(x + size[cur][0] > size[n][0]);
     if (gr) return false;
     int lmx, lmy;
     if (!rotate)lmx = size[cur][0]; else lmx = size[cur][1];
     for (int i = 0; i < cur; i++)
     {
         int lx, ly;
         if (pos[i][3] == 0)lx = size[i][0]; else lx = size[i][1];
         bool perx = (( x <= pos[i][0] + lx)&&(x >= pos[i][0])) || ((x + lmx <= pos[i][0] + lx)&&(x + lmx >= pos[i][0]));
         bool nakx = (x == pos[i][0]) ||(x + lmx == pos[i][0] + lx) || (x == pos[i][0] + lx) || (x + lmx == pos[i][0]);
         bool intox = (x < pos[i][0]) && (x + lmx > pos[i][0] + lx);
         
         if (intox || perx || nakx) return false;
     }
     
     /*
     cout << " Can place " << cur << " at " << x << "," << y;
     if (rotate) cout << "(rotated)";
     cout << endl;
     if (cur == 1) cout << "MaxX=" << x + size[cur][0] << " Allowed=" << size[n][0]<< endl;
     */
     return true;
}

void output(int pos[][4]) 
{
     /*
     cout << "Found" << endl;
     for (int i = 0; i < n; i++)
     {
         cout << "Placing " << i << " at X:" <<  pos[i][0] << " Y:" << pos[i][1];
         if (pos[i][3] == 1) cout << " (rotated)";
         cout << endl;
     }
     cout << endl << endl;
     
     for (int j = size[n][1]-1; j >=0; j--)
     {
     for (int i =0; i < size[n][0]; i++)
     {
      cout << testplace(i,j);
      //       if (testplace(i,j)) cout << "0"; else cout << "1";
      //   cout << endl;
     }
         cout<< endl;
     }
     cout << endl;
     system("PAUSE");*/
     
     an = true;
     for (int i = 0; i < n; i++)
         for (int j = 0; j < n; j++)
             ans[i][j] = pos[i][j];
}

bool rek(int pos[][4], int cur)
{
     bool f = false;
     if (cur < n)
     {
        for (int i = 0; i < size[n][0]; i++)
            for (int j = 0; j < size[n][1]; j++)
            {
                //cout << "Searching for " << cur << ": X= " << i << " ;Y=" << j << endl;
               if (canplace(pos, cur, i, j, false)) 
               {
                  pos[cur][0] = i;
                  pos[cur][1] = j;
                  pos[cur][2] = cur;
                  pos[cur][3] = 0;
                  f = f || rek(pos, cur + 1);
               }
               if (canplace(pos, cur, i, j, true)) 
               {
                  pos[cur][0] = i;
                  pos[cur][1] = j;
                  pos[cur][2] = cur;
                  pos[cur][3] = 1;
                  f = f || rek(pos, cur + 1);
               }
            }
     }
     else {output(pos);return true;}
     return f;
}

int main() 
{
    ifstream ifile("rectang.in");
    ofstream ofile("rectang.out");
    
    ifile >> n;
    for (int i = 0; i <= n; i++)
        ifile >> size[i][0] >> size[i][1];
        
    int sq = 0;    
    for (int i = 0; i < n; i++)
        sq += size[i][0] * size[i][1]; 
    if (sq != size[n][0] * size[n][1]) {ofile << "No solution" << endl; return 0;}
    
    for (int i = 0; i < n; i++)
        for (int j = 0; j < 4; j++)
            poss[i][j] = -1;
            
    rek(poss, 0);
    if (an)
    {
     for (int i = 0; i < n; i++){
         for (int j = 0; j < 4; j++)
             ofile << ans[i][j] << " "; 
     }
    } else ofile << "No solution" << endl;
//    system("PAUSE");
}
