/* GCC */
#include <stdio.h>
#include <math.h>
#include <vector>
const double pi=acos(-1);
using namespace std;
struct geo{double x,y,z;};
vector<geo> v,r;
bool fl(0);
double s;
void read(int i)
{
     geo crd;
     int a,b,c,d,e,f,k;
     double phi,theta;
     k=scanf("%d%d%d%d%d%d",&a,&b,&c,&d,&e,&f);
     if (k!=6) {fl=1; return;}
     phi=pi*(a+b/60.0+c/3600.0)/180;
     theta=pi*(d+e/60.0+f/3600.0)/180;
     
     crd.x=cos(phi)*cos(theta);
     crd.y=cos(phi)*sin(theta);
     crd.z=sin(phi);
     
     v[i]=crd;
     }
double ps(geo a, geo b) {return a.x*b.x+a.y*b.y+a.z*b.z;}    

geo pv(geo a,geo b) {
    geo c;
    c.x=a.y*b.z-b.y*a.z;
    c.y=a.z*b.x-b.z*a.x;
    c.z=a.x*b.y-b.x*a.y;
    return c;
    }
void add(){
     geo u,w,p;
     double a,b,c;
     
     b=ps(v[0],v[1]);
     a=ps(v[1],v[1]);
     c=ps(v[2],v[1]);
     
     u.x=a*v[0].x-b*v[1].x;
     u.y=a*v[0].y-b*v[1].y;
     u.z=a*v[0].z-b*v[1].z;
     
     w.x=a*v[2].x-c*v[1].x;
     w.y=a*v[2].y-c*v[1].y;
     w.z=a*v[2].z-c*v[1].z;
     
     p=pv(v[1],u);
     
     a=ps(w,u)/sqrt(ps(u,u));
     b=ps(w,p)/sqrt(ps(p,p));
     
     if ((a==0) && (b>0)) s-=pi/2;
     if ((a==0) && (b<0)) s+=pi/2;
     if ((a>0) && (b>0)) s=s-pi+atan(b/a);
     if ((a>0) && (b<0)) s=s+pi+atan(b/a);
     if ((a<0) && (b>0)) s=s+atan(b/a);
     if ((a<0) && (b<0)) s=s+atan(b/a);
     
     }
int main() {
    freopen("riman2.in","r",stdin);
    freopen("riman2.out","w",stdout);
    s=2*pi; v.resize(10); r.resize(10);
    read(0); r[0]=v[0];
    read(1); r[1]=v[1];
    while (1) {
          read(2);
          if (fl) break;
          add();
          v[0]=v[1];
          v[1]=v[2];
          }
    fclose(stdin);
    v[2]=r[0]; add(); v[0]=v[1]; v[1]=v[2];
    v[2]=r[1]; add(); v[0]=v[1]; v[1]=v[2];
    if (s<2*pi) printf("%.9f\n",s/(4*pi-s)); else printf("%.9f\n",(4*pi-s)/s);
    fclose(stdout);
    return 0;
    }
