/* GCC */
#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;


struct ln {
       
       int x,y,h;
       ln() {}
       ln(int _x, int _y, int _h) { x=_x;y=_y;h=_h;}
       
       
       };


struct sqr {
       
       int x; int y;
       sqr() {}
       sqr(int _x, int _y) {x = _x; y = _y;}
       
       
       };

vector < sqr > _sqrs;
struct sqs {
       
       int x,y,i;
       bool r;
       
       sqs() {}
       sqs(int _x,int _y, int _i, bool _r) { x=_x; y=_y; i=_i; r=_r;}
       void out () {
            
            printf ("%d %d %d %d",x,y,i+1,(r?1:0));
            
            }
       
       };
bool operator == (sqs a, sqs b) {
     
     if (a.x == b.x && a.y == b.y && a.i == b.i && a.r == b.r) return 1; return 0;
     
     }       
bool comp_sqs (sqs a, sqs b) {
     
     if (a.x != b.x) return a.x < b.x;
     if (a.y != b.y) return a.y < b.y;
     if (a.i != b.i) return a.i < b.i;
     if (a.r != b.r) return a.r == 0 ;
     return 1;
     }       

bool comp_ln ( ln a, ln b) {
     
     
     return a.x < b.x;
     
     }

struct _dfs {
       
       bool null;
       
       vector < ln > lns;
       vector < sqs > sqrs;
       
       _dfs() {null=1;}
       _dfs( vector < ln > _lns, vector < sqs > _sqrs ) { null=0; lns = _lns; sqrs = _sqrs; }
       
       int minln () {
           
           int r = 0;
           
           for (int i = 0; i < lns.size(); i++ ) 
           if (lns[i].x < lns[r].x) r=i;
           return r;
           }
       
       bool exs ( int r ) {
            
            for (int i = 0 ; i < sqrs.size(); i++) 
                if ( sqrs[i].i == r) return 1; return 0;
            
            
            }
       
       void clear() {
            
            sort (lns.begin(), lns.end(), comp_ln);
            
            vector < ln > _lns;
            
            for (int i = 0; i < lns.size()-1; i++) { 
                
                if (lns[i].x == lns[i+1].x) {
                                
                                   lns[i+1].h+=lns[i].h;
                                if (lns[i].y < lns[i+1].y)
                                lns[i+1].y = lns[i].y;
                                
                                  } 
                                  else 
                                  _lns.push_back(lns[i]);
                             
                             
                             }
            
            _lns.push_back(lns[lns.size()-1]);    
                
            lns = _lns;
            
            
            }
       
       void _sort () {
            
            sort (sqrs.begin(), sqrs.end(), comp_sqs);
            
            
            }
       
       
       
       void out (bool is = 0) {
            
            if (sqrs.size() == 0) {cout << endl; return;}
            
            if (is) {
                    
                    for (int i = 0; i < lns.size(); i++) 
                        cout << lns[i].x <<"^" << lns[i].y <<  "_" << lns[i].h << " ";cout <<" |||| ";
                    
                    
                    for (int i = 0; i < sqrs.size(); i++) 
                        cout << sqrs[i].i << " ";cout <<endl;
                        return;
                    }
            sqrs[0].out();
            for (int i = 1; i < sqrs.size(); i++) 
                printf(" "),sqrs[i].out();printf("\n");
            
            
            }
       
       
       
       }; 

bool comp_dfs ( _dfs a, _dfs b) {
     
     int _n = min (a.sqrs.size(), b.sqrs.size() );
     for (int i = 0; i < _n; i++ ) {
         
         if ( a.sqrs[i] == b.sqrs[i] ) continue;
            return comp_sqs ( a.sqrs[i] , b.sqrs[i]);
         }
         
         return a.sqrs.size() < b.sqrs.size();
     
     }

vector < _dfs > results;
int mx,my;


_dfs operator + (_dfs a, sqs b) {
     
     if (a.exs(b.i)) return _dfs();
     
     int minl = a.minln();
     ln  minln = a.lns[minl];
     
     sqr s = _sqrs[b.i];
     
     int h1 = (b.r?s.x:s.y);
     int w1 = (b.r?s.y:s.x);
     
     if (h1 > (minln).h) return _dfs();
     if (w1 + (minln).x > mx ) return _dfs();
     
     sqs _r  (minln.x,minln.y,b.i,b.r);
     
     if (h1==(minln).h) {
                     
                     _dfs r = a;
                     (r.lns[minl]).x += w1;
                     r.clear();
                     r.sqrs.push_back (_r);
                     return r;
                     }
      
                     _dfs r = a;
                     (r.lns[minl]).x += w1;
                     (r.lns[minl]).h = h1;
                     ln _new (minln.x, minln.y + h1, minln.h - h1);
                     r.lns.push_back(_new);
                     r.sqrs.push_back (_r);
                     
                     r.clear();
                     return r;               
                     
     
     }



void dfs (_dfs t) {
     
     
     if (t.null) return;
       if (t.lns[t.minln()].x == mx) {
                            results.push_back(t);
                            return;
                            }
     
     for (int i = 0 ; i < _sqrs.size()-1; i++) {
         
         dfs ( t + sqs (0,0, i, 0));
         dfs ( t + sqs (0,0, i, 1));
         
         
         }
     
     
     
     }

int main() {
    
 freopen ( "rectang.in","r",stdin);
 freopen ( "rectang.out","w",stdout);   
 
 int a,b;
 int n;
    scanf("%d",&n);
    
    int sumsqr=0;
    mx = 0; my = 0;
    for (int i = 0; i <=n; i++) {
        scanf ("%d%d",&a,&b);
        _sqrs.push_back(sqr (a,b));
        if (mx < a) mx = a;
        if (my < b) my = b;
        if (i <n)  sumsqr += a*b;
        }
    
    vector < ln > a1 (1, ln (0,0,my));
    vector < sqs > b1;    
  if (mx > max (_sqrs[n].x , _sqrs[n].y)) goto end;   
  mx = _sqrs[n].x; 
  my = _sqrs[n].y;
   
  if (sumsqr != _sqrs[n].x*_sqrs[n].y) goto end;
  if (n==1) {
            if (_sqrs[0].x==mx) cout << "0 0 1 0";
            else 
            cout << "0 0 1 1";
            cout << endl;
            goto endier;
            }  
    
  dfs ( _dfs ( a1,b1));
    
    
  for (int i = 0; i < results.size(); i++) 
      results[i]._sort();
  
  sort (results.begin(), results.end(), comp_dfs);  
  
  for (int i = 0; i < results.size(); i++) results[i].out();
 end:
     if (results.size() == 0) 
        cout << "No solution" << endl;
        endier:
 fclose(stdin);
 fclose(stdout);   
}


/*

  |------------|
  |   |        |
  |   |        |
  |       |    |
  |------------|

  ln - vert line;
  sqr - rect;
  sqs - save rect;
  dfs - search;
  _dfs - search position;
*/
